type CustomPatternPhone = {
    coutryCode: RegExp;
    areaStateCode: RegExp;
    phoneNumber: RegExp;
};
type ParamsPhoneValidator = {
    onlyMobilePhoneBR?: boolean;
    canReceiveInternationalNumbers?: boolean;
    customPatternPhone?: CustomPatternPhone;
    publicUtilityNumberBR?: boolean;
    numberWithoutCodeAreas?: boolean;
};
type PhoneValidator = {
    phone?: string;
    paramsPhoneValidator?: ParamsPhoneValidator;
};

type MinMaxParamsEmail = {
    min?: number;
    max?: number;
};
type ParamsValidatorEmail = {
    minMaxUserNameEmail?: MinMaxParamsEmail;
    minMaxEmailDomain?: MinMaxParamsEmail;
    emailDomainName?: RegExp;
};
type EmailValidator = {
    email?: string;
    paramsEmailValidator?: ParamsValidatorEmail;
};

declare const validators: {
    cpf: (cpf?: string | undefined) => boolean;
    cnpj: (cnpj?: string | undefined) => boolean;
    email: ({ email, paramsEmailValidator, }: EmailValidator) => boolean;
    nis: (nis?: string | undefined) => boolean;
    phone: ({ phone, paramsPhoneValidator, }: PhoneValidator) => boolean;
};
//# sourceMappingURL=index.d.ts.map

export { validators };
